# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.codesearch
Class CodeSearchService.Versions

    java.lang.Object
      com.google.gdata.client.codesearch.CodeSearchService.Versions

Enclosing class:
  CodeSearchService

    public static final class CodeSearchService.Versions

extends java.lang.Object

GData versions supported by Google Code Search Service.

Field Summary
`static Version` `V1` Version 1 of the Codesearch Data API.
`static Version` `V2` Version 2 of the Codesearch Data API.

Constructor Summary
`CodeSearchService.Versions()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V1

    public static final Version V1

  Version 1 of the Codesearch Data API.

### V2

    public static final Version V2

  Version 2 of the Codesearch Data API.

Constructor Detail

### CodeSearchService.Versions

    public CodeSearchService.Versions()